%define version 1.76
%define release 3mdk
%define name rhs-printfilters

Summary: Red Hat print filters, for use with printtool or printerdrake.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Configuration/Printing
Source: rhs-printfilters-%{version}.tar.bz2
Source1: rhs-printfilters-mdk-db.bz2
Source2: rhs-mandrake.tar.bz2
Patch: rhs-printfilters-typo.patch.bz2
Patch1: rhs-printfilters-lpr.patch.bz2
Icon: rhs-printfilters-icon.xpm
Requires: mpage >= 2.4, lpr >= 0.17, ghostscript >= 5.10, findutils >= 4.1-23
Requires: file
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: transfig
#
# these conflcts exists because Dr Mike changes the location of the filters
#
Conflicts: libgr-progs < 2.0.9-7

%description
The rhs-printfilters package contains a set of print filters which
are primarily meant to be used with the Mandrake printtool.  These
print filters provide an easy way for users to handle printing
numerous file formats.

%prep
%setup -q -a 2
%patch -p0
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters
%makeinstall INSTALLBIN="install -m0755" \
             INSTALLDATA="install -m0644" \
             INSTALL_DIR=$RPM_BUILD_ROOT

bzcat %{SOURCE1} >> $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters/printerdb

bunzip2 -c %{SOURCE2} | \
    tar xf - -C $RPM_BUILD_ROOT%{_libdir}/rhs/rhs-printfilters

%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,755)
%doc README CHANGES
%{_libdir}/rhs/rhs-printfilters/master-filter
%{_libdir}/rhs/rhs-printfilters/asc-to-printer.fpi
%{_libdir}/rhs/rhs-printfilters/ps-to-printer.fpi
%{_libdir}/rhs/rhs-printfilters/rpm-to-asc.fpi
%{_libdir}/rhs/rhs-printfilters/ppaprint
%{_libdir}/rhs/rhs-printfilters/smbprint
%{_libdir}/rhs/rhs-printfilters/ncpprint
%{_libdir}/rhs/rhs-printfilters/directprint
%{_libdir}/rhs/rhs-printfilters/rewindstdin
%{_libdir}/rhs/rhs-printfilters/asc-to-ps.fpi
%{_libdir}/rhs/rhs-printfilters/general.cfg.in
%{_libdir}/rhs/rhs-printfilters/postscript.cfg.in
%{_libdir}/rhs/rhs-printfilters/textonly.cfg.in
%{_libdir}/rhs/rhs-printfilters/testpage.asc
%{_libdir}/rhs/rhs-printfilters/testpage.ps
%{_libdir}/rhs/rhs-printfilters/testpage-a4.ps
%{_libdir}/rhs/rhs-printfilters/mandrake-logo.gif
%{_libdir}/rhs/rhs-printfilters/testpage-a4.fig
%{_libdir}/rhs/rhs-printfilters/testpage.fig
%config(noreplace) %{_libdir}/rhs/rhs-printfilters/printerdb

%changelog
* Thu Oct 05 2000 Franois Pons <fpons@mandrakesoft.com> 1.76-3mdk
- fixed bug with previous patch which appears with lpr update.

* Thu Aug 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.76-2mdk
- created patch to keep compability with lpr.
- build as i586 again as rewindstdin is back.

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 1.76-1mdk
- 1.76.
- build as noarch.

* Tue Aug 08 2000 Franois Pons <fpons@mandrakesoft.com> 1.73-1mdk
- 1.73.
- removed ppaprint and ppa specific part in printerdb as 1.73 is now
  up-to-date.
- added printerdb entries for lxm3200? and hlx1250.

* Mon Jul 24 2000 Franois Pons <fpons@mandrakesoft.com> 1.70-3mdk
- fixed missing directprint in files (thanks to Florent Guillaume).

* Thu Jul 20 2000 Franois Pons <fpons@mandrakesoft.com> 1.70-2mdk
- really change ppaprint from the one provided by pnm2ppa-1.0.

* Thu Jul 20 2000 Franois Pons <fpons@mandrakesoft.com> 1.70-1mdk
- 1.70.
- changed ppaprint from the one provided by pnm2ppa-1.0.
- updated patch to include pnm2ppa-1.0 specific part for printerdb.

* Wed Jul 05 2000 Franois Pons <fpons@mandrakesoft.com> 1.66-1mdk
- 1.66.
- changed ppaprint from the one provided by pnm2ppa-0.99pre3.

* Tue Apr 25 2000 Franois Pons <fpons@mandrakesoft.com> 1.62-6mdk
- changed text according to new logo.
- added more Brother printers description.

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 1.62-5mdk
- changed logo.

* Fri Apr 07 2000 Franois Pons <fpons@mandrakesoft.com> 1.62-4mdk
- updated Group.

* Wed Mar 22 2000 Franois PONS <fpons@mandrakesoft.com> 1.62-3mdk
- removed smbprint patch that may cause problem on newer version.

* Mon Mar 20 2000 Franois PONS <fpons@mandrakesoft.com> 1.62-2mdk
- removed rhs-printfilters-srtxg_filters that conflicts with ppa usage
  by newer release.
- removed with-ppa provides and requires style.
- added some printer description managed by ghostscript.

* Mon Mar 20 2000 Franois PONS <fpons@mandrakesoft.com> 1.62-1mdk
- 1.62.
- removed patch for ljetplus since it has been integrated in 1.62.

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 1.59-2mdk
- Don't use prefix, painful
- Changed group according to 7.1 specs
- Some spec file fixes
- Let spec-helper do its job

* Wed Feb 16 2000 Franois PONS <fpons@mandrakesoft.com>
- update with 1.59.
- use xargs with -r for sanity.

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- Corrected printerdb for ljetplus.

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinsert mandrake customizations.

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.58.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Sun Oct 10 1999 Pablo Saratxaga <srtxg@mandrakesoft.com>
- added Requires: file

* Thu Sep 16 1999 Pablo Saratxaga <srtxg@mandrakesoft.com>
- little fix in ps-to-printer.fpi

* Mon Sep 13 1999 Pablo Saratxaga <srtxg@mandrakesoft.com>
- Fixed the SMB printing

* Fri Sep 10 1999 Daouda Lo <daouda@mandrakesoft.com>
- make the package relocatable

* Thu Sep 10 1999 Gael Duval <gael@linux-mandrake.com>
- Mandrake customization

* Tue Sep 07 1999 Pablo Saratxaga <srtxg@mandrakesoft.com>
- corrected stupid bug with printerdb

* Thu Sep 02 1999 Pablo Saratxaga <srtxg@mandrakesoft.com>
- merged with improvements from Pawel Jabloski <pj@miwi.miwiurmet.com.pl>
  for suport of PPA printing in color

* Tue Aug 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- merged with RedHat version 1.57 including Bill Nottingham
smbprint and printerdb fix.

* Tue Aug 31 1999 Pablo Saratxaga <srtxg@mandrakesoft.com>
- integrated support for HP720/820/1000 series (trough pbm2ppa)

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.56.

* Mon Jul 12 1999 Pablo Saratxaga <srtxg@mandrakesoft.com>
- Added my own filters and improvements

* Wed Jun 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Patched typo in source

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- fix some printerdb stuff for ghostscript brokenness

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- remove some oboslete text

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- uniprint support

* Tue Dec 29 1998 Bill Nottingham <notting@redhat.com>
- add workaround for Adobe(!) postscript driver

* Mon Dec 28 1998 Bill Nottingham <notting@redhat.com>
- remove 1bpp from cdj-based drivers, 'cos it's broken.

* Wed Nov 18 1998 Bill Nottingham <notting@redhat.com>
- add workgroup support to smbprint, fix quoting issues

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix typo in ncpprint

* Wed Sep 15 1998 Bill Nottingham <notting@redhat.com>
- Added ncpprint to %files section (oops!)

* Thu Sep  2 1998 Bill Nottingham <notting@redhat.com>
- Added NCP printing support

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed BUG 703,  added findutils dependecy.
- Added buildroot.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- Fixed printerdb to include 300x300 resolution for LaserJet 4 models
- Restored troff file handling now troff fpi is 'safe'

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed master-filter to NOT handle troff files automatically

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Apr 23 1997 Michael Fulbright <msf@redhat.com>
- Fixed problem with asc-to-printer.fpi not handling cr/lf trans correct

* Fri Apr 18 1997 Michael Fulbright <msf@redhat.com>
- fixed up Canon 600/4000 printerdb def
- added some HP Deskjets which I know work

* Thu Apr 10 1997 Michael Fulbright <msf@redhat.com>
- Added requirement that gs is installed. Pretty useless w/o it if
  you print anything interesting.

* Fri Mar 13 1997 Michael Fulbright <msf@redhat.com>
- Added conflicts so that packages with old filter loc won't hurt us.
- Moved to version 1.2.
- Added mpage support to allow nup printing.

* Wed Mar 13 1997 Michael Fulbright <msf@redhat.com>
- Added a DeskJet500Mono driver which links to the gs driver djet500.
- Added a A4 paper size test page.
- Fixed Makefile to build .ps test pages from the .fig files.

* Mon Mar 10 1997 Michael Fulbright <msf@redhat.com>
- Split filters off from printtool into this package .
